package jp.gihyo.mitoma.android.s1602listview;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.widget.ArrayAdapter;
import android.widget.ListView;

import java.util.ArrayList;
import java.util.List;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        ListView listView = findViewById(R.id.lvFriends);
        // リストデータ取得
        FriendsDS friendsDS = FriendsDS.getInstance();
        ArrayList<FriendsDTO> friendsList = friendsDS.select();

        // ArrayList<FriendsDTO>からArrayList<String>へ変換
        ArrayList<String> stringList = new ArrayList<>();
        for(FriendsDTO dto:friendsList){
            stringList.add(dto.id + "　" + dto.name);
        }
        // アダプタの生成とセット
        ArrayAdapter<String> adapter = new ArrayAdapter<>(
                this,android.R.layout.simple_list_item_1,stringList);
        listView.setAdapter(adapter);
    }
}